[ORG 0x7C00]
[BITS 16]

jmp start		; Jump over BIOS parameter block

start:

push cs
pop ds


mov si,Print_loading     ;Print loading message
call printstring

mov ah,02h               ;Load Bootinit to stack.
mov al,4
mov ch,0
mov cl,2
mov dh,0
mov dl,0
mov bx,0x1000
mov es,bx
mov bx,0x00
int 13h

mov si,putdot           ;Print a ".".
call printstring

jmp 0x1000:0x00         ;Run Bootinit from stack.

printstring:            ;Print string rutine.
mov ah,0eh
stringloop:
lodsb
cmp al,00
je endstring
int 10h
jmp stringloop
endstring:
ret
putdot        db '.',0
Print_loading db 13,10,'Loading Easy OS v0.01a...',0
times 428 db 0


